#include <iarduino_KB.h>
#include <Wire.h>
#include <LiquidCrystal_I2C.h>
#include <Servo.h>
iarduino_KB KB(9, 8, 7, 6, 5, 4, 3, 2);
LiquidCrystal_I2C lcd(0x27, 16, 2);
Servo servo;
int pass[4] = {3, 6, 1, 8};
int in[4];
int r = 11;
int g = 12;
void setup() {
  KB.begin(KB1);
  pinMode(r, OUTPUT);
  pinMode(g, OUTPUT);
  lcd.init();
  lcd.backlight();
  digitalWrite(g, LOW);
  digitalWrite(r, HIGH);
  servo.attach(10);
  servo.write(0);
  lcd.setCursor(0, 0);
}
void loop() {
  lcd.clear();
  lcd.print("Enter code.");
  while (!KB.check(KEY_DOWN)) {
    delay(1);
  }
  in[0] = KB.getNum;
  lcd.clear();
  lcd.setCursor(0, 0);
  lcd.print('*');
  while (!KB.check(KEY_DOWN)) {
    delay(1);
  }
  in[1] = KB.getNum;
  lcd.print('*');
  while (!KB.check(KEY_DOWN)) {
    delay(1);
  }
  in[2] = KB.getNum;
  lcd.print('*');
  while (!KB.check(KEY_DOWN)) {
    delay(1);
  }
  in[3] = KB.getNum;
  lcd.print('*');
  if (in[0] == pass[0]) {
    if (in[1] == pass[1]) {
      if (in[2] == pass[2]) {
        if (in[3] == pass[3]) {
          lcd.clear();
          lcd.setCursor(0, 0);
          lcd.print("Open.");
          tone(13, 400, 750);
          servo.write(180);
          digitalWrite(r, LOW);
          digitalWrite(g, HIGH);
          delay(3000);
          lcd.clear();
          lcd.setCursor(0, 0);
          lcd.print("Close.");
          tone(13, 300, 700);
          servo.write(0);
          digitalWrite(g, LOW);
          digitalWrite(r, HIGH);
          delay(1000);
        }
      }
    }
  }
}
